using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Request;

public class TaobaoTbkDgTpwdRiskReportRequest : AbstractTopApiRequest
{

    /*
        如有pid，则查询pid下的relationid名单；如没有pid，则查询appkey关联userid下的pid名单
            */
    private string? pid;


    /*
        分页参数
            */
    private long? offset;


    /*
        分页参数，一次最多不能超过1000
            */
    private long? limit;


    [JsonPropertyName("pid")]
    public string? Pid
    {
        get => pid;
        set => this.pid = value;
    }

    [JsonPropertyName("offset")]
    public long? Offset
    {
        get => offset;
        set => this.offset = value;
    }

    [JsonPropertyName("limit")]
    public long? Limit
    {
        get => limit;
        set => this.limit = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.pid != null)
        {
            requestParam.Add("pid",TopUtils.ConvertBasicType(this.pid));
        }
        if(this.offset != null)
        {
            requestParam.Add("offset",TopUtils.ConvertBasicType(this.offset));
        }
        if(this.limit != null)
        {
            requestParam.Add("limit",TopUtils.ConvertBasicType(this.limit));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.tbk.dg.tpwd.risk.report";
    }

}

